Doomsday Engine - Feature #1851

[Ul] Dynamic release notes
2014-08-08 13:46 - skyjake

Status: New Start date: 2014-08-08
Priority: Normal % Done: 0%
Assignee:

Category: User experience

Target version: 3.x

Description

When Doomsday first starts up after an upgrade, a popup should appear notifying the user of relevant changes. This would replace
the need for a release note page in the wiki.

This notification would need to be dynamic, so that it would:

* know which version the user upgraded from
¢ which is the current version
¢ download from the wiki all the changes fitting in this range and format them for display

This could be designed with DEW as the backend, so that each individual feature/note would have its own page in some special wiki
category. Each item could have:

a priority level for sorting (to show the more important ones first)
title (single-sentence summary)
optionally a picture

[ ]
[ ]
L]
¢ short paragraph of text describing the feature (could contain links etc.)

Related issues:
Related to Feature #1779: [Home] Show project news and dev blog New 2014-04-24

History

#1 - 2014-08-08 13:46 - skyjake
- Related to Feature #1779: [Home] Show project news and dev blog added

#2 - 2014-08-08 13:48 - skyjake

- Description updated

#3 - 2014-08-09 07:17 - skyjake

- Subject changed from Dynamic release notes to [Ul] Dynamic release notes

#4 - 2019-11-29 21:03 - skyjake

- Target version set to 3.x
